<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function() {
		var tn = 'partenaires';

		/* data for selected record, or defaults if none is selected */
		var data = {
			raison_sociale: <?php echo json_encode(array('id' => $rdata['raison_sociale'], 'value' => $rdata['raison_sociale'], 'text' => $jdata['raison_sociale'])); ?>,
			fonction: <?php echo json_encode($jdata['fonction']); ?>,
			adresse: <?php echo json_encode($jdata['adresse']); ?>,
			telephone: <?php echo json_encode($jdata['telephone']); ?>,
			email: <?php echo json_encode($jdata['email']); ?>,
			banque: <?php echo json_encode($jdata['banque']); ?>,
			compte: <?php echo json_encode($jdata['compte']); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for raison_sociale */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'raison_sociale' && d.id == data.raison_sociale.id)
				return { results: [ data.raison_sociale ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for raison_sociale autofills */
		cache.addCheck(function(u, d) {
			if(u != tn + '_autofill.php') return false;

			for(var rnd in d) if(rnd.match(/^rnd/)) break;

			if(d.mfk == 'raison_sociale' && d.id == data.raison_sociale.id) {
				$j('#fonction' + d[rnd]).html(data.fonction);
				$j('#adresse' + d[rnd]).html(data.adresse);
				$j('#telephone' + d[rnd]).html(data.telephone);
				$j('#email' + d[rnd]).html(data.email);
				$j('#banque' + d[rnd]).html(data.banque);
				$j('#compte' + d[rnd]).html(data.compte);
				return true;
			}

			return false;
		});

		cache.start();
	});
</script>

